# CookieMod

## Multi-purpose discord bot

### Installation

#### Requirements





Installation files explanation

|Path            |Description            |
|----------------|-----------------------|
|db/*            |Database (Badger DB)   |
|data/*          |Configuration, etc..   |
|data/config.json|Main configuration file|

#### ⚠️ **Warning** ⚠️
Don't touch the db folder or the included files if you don't know what you are doing. The whole user data is stored in there and can be corrupted if you modify the database.


#### Example config.json

```json
{
    "token": "YOUR_TOKEN123456789",
    "guild_id": "YOUR_GUILDID123456789"    
}
```

#### Example perms.json

```json
{
    "roles": [
        {
            "role_id": "YOUR_ROLE_ID123456789",
            "perms": [
                "cookiebot.mod.ban",
                "cookiebot.mod.kick",
                "cookiebot.mod.mute",
                "cookiebot.mod.timeout",
                "cookiebot.mod.tempban",
                "cookiebot.user.send.files",
                "cookiebot.user.send.content",
                "cookiebot.user.send.urls",
                "cookiebot.admin",
            ]
        },
        {
            "role_id": "YOUR_ROLE_ID123456789",
            "perms": [
                "cookiebot.user.report",
                "cookiebot.user.stats",
            ]
        }
    ]
}
```


### Features

#### Please note

Already existing features can be removed or may not work in the future. To provide the best experience, please use always the latest version and don't use nightly builds or pre-release builds or any kind of pre-release version for production. There is no warranty for backwards compatibility but if you always update the program, there prpbably won't be any complications. 

#### Feature Support Overview

|Symbol |Meaing            |
|-------|------------------|
|🔴     |no support at all |
|🟡     |not full support  |
|🟢     |full support      |

|Feature Name                     |Feature Description                                         |Feature Support |
|---------------------------------|------------------------------------------------------------|----------------|
|Chat Moderation                  |Filter swearing, profane language, URLs (or just blocked URLs) and deletes not allowed messages |🔴              |
|Polls                            |Create polls for other users                                                                    |🔴              |
|User Verification                |Remove annoying bots from your server                                                           |🔴              |
|Twitch Integration               |Get notifications for a started live streams                                                    |🟡              |
|OpenWeatherMap Integration       |Get information about the weather forecast                                                      |🔴              |
|YouTube Integration              |Get notification about a started Live stream or a new video                                     |🔴              |
|BadgerDB Database                |Store user-related data and data used by modules                                                |🟡              |
|BadgerDB Database Backups        |Use automated or manual created backups to                                                      |🔴              |
|Automated Server Security Review |Automated security service which will check your server audit log and watched over the bots     |🔴              |
|NSFW Content Guard               |Automated service which will check any messages including images, animated images and videos    |🔴              |
|ko-fi.com Integration            |Give special roles to users who send donations via ko-fi.com                                    |🔴              |

